## com.sun.jersey.core.util
Class Closing

    java.lang.Object
      com.sun.jersey.core.util.Closing

    public class Closing

extends java.lang.Object

A helper class to aid the closing of `InputStream`.

Author:
  Paul.Sandoz@Sun.Com

Nested Class Summary
`static interface` | `Closing.Closure`

Constructor Summary
`Closing(java.io.InputStream in)`

Method Summary
`void` | `f(Closing.Closure c)`
`static Closing` | `with(java.io.InputStream in)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Closing

    public Closing(java.io.InputStream in)

Method Detail

### with

    public static Closing with(java.io.InputStream in)

### f

    public void f(Closing.Closure c)
           throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright © 2017 Oracle Corporation. All Rights Reserved.